import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增客户端用户
    addappuser(data) {
        return request({
            url: '/app/user',
            method: 'post',
            data
        })
    },
    //修改客户端用户
    editappuser(data) {
        return request({
            url: '/app/user/edit',
            method: 'post',
            data
        })
    },
    //导出客户端用户列表
    inquireappuserexport(data) {
        return request({
            url: '/app/user/export',
            method: 'get',
            params: data
        })
    },
    //查询客户端用户列表
    inquireappuserlists(data) {
        return request({
            url: '/app/user/list',
            method: 'get',
            params: data
        })
    },
    //客户端用户学习记录列表
    inquirestudyRecordlists(data) {
        return request({
            url: '/app/user/studyRecordList',
            method: 'get',
            params: data
        })
    },
    //获取客户端用户详细信息
    obtainappuser(data) {
        return request({
            url: `/app/user/` + data,
            method: 'get',
        })
    },
    //获取客户端用户详细信息
    obtainappuserschoolinfo(data) {
        return request({
            url: `/app/user/school/info/` + data,
            method: 'get',
        })
    },
}